> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ai.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Video Generation Task Status



## OpenAPI

````yaml api-reference/openapi.json get /v1/video/generations/{task_id}
openapi: 3.0.1
info:
  title: AI model interface
  description: ''
  version: 1.0.0
servers:
  - url: https://api.ai.cc
security:
  - BearerAuth: []
tags:
  - name: Get Model List
  - name: Text completion
  - name: Translator
  - name: OpenAI Chat
  - name: OpenAI Response
  - name: Claude Messages
  - name: Gemini Generate Content
  - name: Video Task
  - name: Sora Video Task
paths:
  /v1/video/generations/{task_id}:
    get:
      tags:
        - Video Task
      summary: Get video task status
      operationId: getVideo
      parameters:
        - name: task_id
          in: path
          description: video task ID
          required: true
          example: '123456'
          schema:
            type: string
      responses:
        '200':
          description: Successfully obtained video task status
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  object:
                    type: string
                  model:
                    type: string
                  status:
                    type: string
                  progress:
                    type: integer
                  created_at:
                    type: integer
                  seconds:
                    type: string
                required:
                  - id
                  - object
                  - model
                  - status
                  - progress
                  - created_at
                  - seconds
              example:
                id: '123456'
                object: video
                model: wan2.6-t2v
                status: queued
                progress: 0
                created_at: 1764347090922
                seconds: '8'
          headers: {}
        '404':
          description: The task does not exist.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              description: error message
            type:
              type: string
              description: error type
            param:
              type: string
              description: error param
              nullable: true
            code:
              type: string
              description: code
              nullable: true
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |
        Authentication is done using Bearer Token. 
        Format: `Authorization: Bearer sk-xxxxxx`

````